'use strict';

/* For ESLint: List any global identifiers used in this file below */
/* global */

const Overlay = function (options) {
  const $el = $(options.dom_element);

  this.image = $("<div class='adblock-killme-overlay'></div>")
    .css({
      left: $el.position().left,
      top: $el.position().top,
    })
    .width($el.width())
    .height($el.height());
  this.el = $el;
  this.click_handler = options.click_handler;

  this.image
    .bind('mouseenter', function mouseenterFunction() {
      // crbug.com/110084
      this.style.setProperty('background-color', 'rgba(130, 180, 230, 0.5)', 'important');
    })
    .bind('mouseleave', function mouseleaveFunction() {
      // crbug.com/110084
      this.style.setProperty('background-color', 'transparent', 'important');
    });

  Overlay.instances.push(this);
};

Overlay.instances = [];
Overlay.removeAll = function removeAllFunction() {
  $.each(Overlay.instances, (i, overlay) => {
    overlay.image.remove();
  });

  Overlay.instances = [];
};

Overlay.prototype.display = function displayFunction() {
  const localThis = this;
  this.image
    .appendTo(localThis.el.parent())
    .click(() => {
      localThis.click_handler(localThis.el);
      return false;
    });
};

// required return value for tabs.executeScript
/* eslint-disable-next-line no-unused-expressions */
'';

// # sourceURL=/uiscripts/blacklisting/overlay.js
